<form class="form-register" [formGroup]="registrationForm" (submit)="registerUser()">
    <img class="mb-4 hope-logo" src="../../../assets/hope_logo.svg" alt="">
    <h1 class="h3 mb-3 font-weight-normal">Sign Up Today</h1>
    <div class="form-group">
        <label for="inputEmail" class="sr-only">Email address</label>
        <input [class.is-invalid]="userEmail?.invalid && userEmail?.touched" type="email"
            class="form-control" formControlName="userEmail" name="inputEmail" id="inputEmail"
            placeholder="Email Address" required>
        <div *ngIf="(userEmail?.invalid && userEmail?.touched)">
            <small *ngIf="userEmail?.errors?.required" class="text-danger">You must enter an email
                address</small>
            <small *ngIf="userEmail?.errors?.pattern" class="text-danger">Please provide a valid email
                address</small>
        </div>
    </div>
    <div class="form-group">
        <label for="inputPassword" class="sr-only">Password</label>
        <input [class.is-invalid]="password?.invalid && password?.touched" type="password"
            class="form-control" formControlName="password" name="inputPassword" id="inputPassword"
            placeholder="Password" required>
        <div *ngIf="password?.invalid && password?.dirty">
            <small *ngIf="password?.errors?.minlength && !password?.errors?.pattern" class="text-danger">Passwords must be at least 8 characters long</small>
            <small *ngIf="password?.errors?.required" class="text-danger">You must enter a password</small>
            <small *ngIf="password?.errors?.pattern" class="text-danger">Passwords must include both upper and lower case letters and at least 1 number.</small>
        </div>
    </div>
    <div class="form-group">
        <label for="inputPasswordConfirmation" class="sr-only">Confirm Password</label>
        <input [class.is-invalid]="passwordConfirmation?.invalid && passwordConfirmation?.touched" type="password"
            class="form-control" formControlName="passwordConfirmation" name="inputPasswordConfirmation" id="inputPasswordConfimration"
            placeholder="Confirm Password" required>
        <div *ngIf="passwordConfirmation?.dirty && (password?.value !== passwordConfirmation?.value)">
            <small class="text-danger">Passwords don't match</small>
        </div>
    </div>
    <p *ngIf="registrationForm?.invalid" class="text-danger">Please complete the form.</p>
    <button class="btn btn-lg btn-primary btn-block" type="submit" [disabled]="userEmail?.invalid || password?.invalid || passwordConfirmation?.invalid">Register</button>
    <p class="message" *ngIf="message">{{message}}</p>
</form>